<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.uml.tech.mapper.ErrormileagestatusMapper" >

    <insert id="insertFromList">
        replace into ${tb_name}(did, firstMileage, lastMileage, mileage,journeyMileage)
        values
        <foreach collection="list" item="item" index="index" separator=",">
            (
            #{item.did},
            #{item.firstMileage},
            #{item.lastMileage},
            #{item.mileage},
            #{item.journeyMileage}
            )
        </foreach>
    </insert>
</mapper>